declare type Matcher<T> = (value: T) => boolean;
declare type Pattern = string | RegExp;
declare type AllowRejectOptions = Partial<{
    accept: Pattern | Pattern[];
    reject: Pattern | Pattern[];
}>;
declare type Options<T> = AllowRejectOptions | Pattern | Pattern[] | Matcher<T>;
declare function allowList<T>(options: Options<T>, ignorecase?: boolean): Matcher<T>;

export default allowList;
export { AllowRejectOptions, Matcher, Options, Pattern, allowList };
